[@bigcommerce/checkout-sdk](../README.md) / HostedFieldAttachEvent

# Interface: HostedFieldAttachEvent

## Table of contents

### Properties

- [payload](HostedFieldAttachEvent.md#payload)
- [type](HostedFieldAttachEvent.md#type)

## Properties

### payload

• **payload**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `accessibilityLabel?` | `string` |
| `cardInstrument?` | [`CardInstrument`](CardInstrument.md) |
| `fontUrls?` | `string`[] |
| `origin?` | `string` |
| `placeholder?` | `string` |
| `styles?` | [`HostedFieldStylesMap`](HostedFieldStylesMap.md) |
| `type` | [`HostedFieldType`](../enums/HostedFieldType.md) |

___

### type

• **type**: [`AttachRequested`](../enums/HostedFieldEventType.md#attachrequested)
